# .readthedocs.yaml
# Read the Docs configuration file
# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details

# Required
version: 2

# Set the version of Python and other tools you might need
build:
  os: ubuntu-20.04
  tools:
    python: "3.9"
  jobs:
    pre_build:
    - ./scripts/apidoc_full.sh
    - breathe-apidoc -o docs/api apidoc/xml

# Build documentation in the docs/ directory with Sphinx
sphinx:
  builder: dirhtml
  configuration: docs/conf.py

# Optionally declare the Python requirements required to build your docs
python:
  install:
  - requirements: docs/requirements.txt
